commit:     b51b539c994b83a1f125ef1ac3c9ff010ab9cc88
Author:     Arfrever Frehtes Taifersar Arahesis <Arfrever <AT> Apache <DOT> Org>
AuthorDate: Tue Feb 21 18:45:20 2017 +0000
Commit:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Tue Feb 21 19:08:05 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b51b539c

subversion.eclass: Fix error messages in subversion_bootstrap() and 
subversion_src_prepare().

${FUNCNAME[1]} is name of direct parent function, but name of current function
(${FUNCNAME[0]} or ${FUNCNAME}) is needed here.

 eclass/subversion.eclass | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/eclass/subversion.eclass b/eclass/subversion.eclass
index 766c3f7224..439960379b 100644
--- a/eclass/subversion.eclass
+++ b/eclass/subversion.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -367,7 +367,7 @@ subversion_fetch() {
 # Apply patches in ${ESVN_PATCHES} and run ${ESVN_BOOTSTRAP} if specified.
 # Removed in EAPI 6 and later.
 subversion_bootstrap() {
-       [[ ${EAPI} == [012345] ]] || die "${FUNCNAME[1]} is removed from 
subversion.eclass in EAPI 6 and later"
+       [[ ${EAPI} == [012345] ]] || die "${FUNCNAME} is removed from 
subversion.eclass in EAPI 6 and later"
 
        if has "export" ${ESVN_RESTRICT}; then
                return
@@ -447,7 +447,7 @@ subversion_src_unpack() {
 # Default src_prepare. Bootstrap.
 # Removed in EAPI 6 and later.
 subversion_src_prepare() {
-       [[ ${EAPI} == [012345] ]] || die "${FUNCNAME[1]} is removed from 
subversion.eclass in EAPI 6 and later"
+       [[ ${EAPI} == [012345] ]] || die "${FUNCNAME} is removed from 
subversion.eclass in EAPI 6 and later"
        subversion_bootstrap || die "${ESVN}: unknown problem occurred in 
subversion_bootstrap."
 }
 

Reply via email to